<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>hw_3</title>
</head>
<body>
    <script>
        //Прямокутник
        for( let i = 0; i <= 10; i++) {
            for(let a = 0; a <= 30; a++){
                if(i == 0 || i == 10){
                  document.write('*')  
                } else if (i > 0){
                    if(a != 0 && a != 30){
                     document.write(` &nbsp; `)
                    } else {
                        document.write('*')
                    }
                }  
            }
            document.write('<br>')
        }

        //Рівносторонній трикутник
        for(let i = 0; i < 10; i++){
            for(let a = (10 - i); a >=0; a-- ){
               document.write('&nbsp;')
            }
            for(let j = 0; j < i; j++){
                    document.write('*')
            }
            document.write('<br>')
        }
        //Прямокутний трикутник
        for(let i = 0; i < 10; i++){
            for(let j = 0; j < i; j++){
                    document.write('*')
            }
            document.write('<br>')
        }
        //Ромб
        for(let i = 0; i < 10; i++){
            for(let space = (10 - i); space > 0; space--){
                document.write('&nbsp;')
            }
            for(let j =0; j <= i; j++){
                document.write('*');
            }
            document.write('<br>');
        }
        for(let i = 10; i > 0; i--){
            for(let space = (i - 5); space < 5; space++){
                document.write('&nbsp;')
            }
            for(let j = 0; j <= i; j++){
                document.write('*');
            }
            document.write('<br>');
        }
    </script>
</body>
</html>